Rivet Jet Substructure Study
============================

Rivet implementation
--------------------

The code is implemented as an additional rivet
projection called "BOOSTFastJets", to see how
to use it please have a look at the header
(in ./include) and the MC_GENSTUDY_JET*.cc analysis files.

Obtaining and running
---------------------

1. Setup the rivet installation you want to use with
(in the correct directory):

source rivet-env.sh

2. Patch FastJets to include the particles() method,
recompile FastJets:

MY_RIVET=/path/to/your/rivet
THIS_DIR=$(pwd)
patch  $MY_RIVET/include/Rivet/Projections/FastJets.hh < $THIS_DIR/BOOSTFastJets.patch
cd $MY_RIVET && make -j 4 && make install

3. While in this directory, run:

make && make install **

4. Have fun looking at substructure histograms!

** If you need super user privileges to do a make install
you'll have to sudo this; if your super user environment
doesn't have the correct rivet paths set up
(rivet-config: command not found) you'll have to do things
manually:

LIBDIR=`rivet-config --libdir`
sudo cp -f libBOOSTFastJets.so $LIBDIR


Physics Motivation
------------------

The big picture aim of this study is to provide an accurate picture of
how different Monte Carlo generators handle creation of jets.  In
order to fully assess different generators, we must extract as much
information as possible from the jets.

Implemented observables
------------------------
* Jet Charge
* Jet Dipolarity
* Jet Pull
* N-subjettiness
* Angular Correlation/Structure Functions
* Grooming
* And others...
